Subject: Re: bug#11571: 24.0.97; doc string of `dired-get-subdir-min'

From: Stefan Kangas <[email-masked]>
Date: Tue, 05 Nov 2019 16:09:32 +0100

Drew Adams <[email-masked]> writes:

> The use of cdr is clear enough, as long as you
> understand what `dired-subdir-alist' is.
>
> But that could be clearer. 
>
> `C-h v dired-subdir-alist' says:
>
>  Association list of subdirectories and their buffer positions.
>  Each subdirectory has an element: (DIRNAME . STARTMARKER).
>  ...
>
> Directories don't have buffer positions.
>
> It would be clearer to say "listed subdirectories".
> It's not about subdirectories.  It's about those
> subdirs that are listed in the Dired buffer, and
> STARTMARKER is the buffer position where such a
> _listing_ starts.
>
> The buffer position of a subdirectory isn't clear.
> The buffer position of a subdirectory listing is
> clear.

FWIW, I think it's already clear enough, given that the value after
dired-maybe-insert-subdir will be something like:

    (("/home/skangas/wip/emacs/etc/" . #<marker at 3031 in emacs>)
     ("/home/skangas/wip/emacs/" . #<marker at 1 in emacs>))
    
I'm not against trying to make it even clearer though.

Do you have a suggestion for how to rewrite this text without going
over the recommended 67 character limit?

    Association list of subdirectories and their buffer positions.

The best I could come up with is this (exactly 67 characters):

    Alist of subdirectories and the buffer positions of their listings.

Best regards,
Stefan Kangas